
Name:           prelude-lml
Version:        5.2.0
Release:    2%{?dist}
Summary:        Log analyzer sensor with IDMEF output
License:        GPLv2+
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.service
Source2:        %{name}-tmpfiles.conf
Patch0:         prelude-lml-5.2.0-gnutls_priority_set_direct.patch
Patch1:         prelude-lml-5.2.0-fix_etc_perms.patch
Patch2:         prelude-lml-5.2.0-fix_check.patch
Patch3:         prelude-lml-5.2.0-fix-test_rwlock1.patch
Patch4:         prelude-lml-5.2.0-fix_thread_create.patch
Patch5:         prelude-lml-5.2.0-fix_gnutls_deps.patch
Patch6:         prelude-lml-5.2.0-fix_test_perror2.patch
Patch7:         prelude-lml-configure-c99.patch
%{?systemd_requires}
BuildRequires: make
BuildRequires:  gcc
BuildRequires:  chrpath
BuildRequires:  systemd
BuildRequires:  libgpg-error-devel
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(icu-io)
BuildRequires:  pkgconfig(libevdev)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libprelude) >= %{version}

%ifnarch s390
BuildRequires:  valgrind
%endif

Provides:       bundled(gnulib) = 20180903

%description
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part of
the Prelude SIEM suite. It can act as a centralized log collector for local or
remote systems, or as a simple log analyzer (such as swatch). It can run as a
network server listening on a syslog port or analyze log files. It supports log
files in the BSD syslog format and is able to analyze any log file by using the
PCRE library. It can apply log file specific analysis through plugins such as
PAX. It can send an alert to the Prelude Manager when a suspicious log entry is
detected.

%package        devel
Summary:        Libraries and headers for Prelude-LML
Requires:       %{name} = %{version}-%{release}

%description    devel
Devel headers for the Prelude Log Monitoring Lackey (LML). It is the host-based
sensor program part of the Prelude SIEM suite. It can act as a centralized log
collector for local or remote systems, or as a simple log analyzer (such as
swatch). It can run as a network server listening on a syslog port or analyze
log files. It supports log files in the BSD syslog format and is able to analyze
any log file by using the PCRE library. It can apply log file specific analysis
through plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected.

%package doc
Summary:        Documentation for prelude-lml
BuildArch:      noarch

%description doc
Provides documentation for prelude-lml.

%prep
%autosetup -p1

%build
%ifarch ppc64le
cp -p %{_includedir}/sys/cdefs.h libmissing/
%endif

%configure \
    --bindir=%{_sbindir} \
    --enable-shared \
    --disable-static \
    --with-libprelude-prefix=%{_prefix}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf src/.libs

mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

chrpath -d %{buildroot}%{_sbindir}/%{name}

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
mkdir -p %{buildroot}/run
install -d -m 0755 %{buildroot}/run/%{name}/

%check
make check

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service 

%files
%license COPYING HACKING.README
%doc README
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%dir %{_localstatedir}/lib/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.rules
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%dir %{_localstatedir}/lib/%{name}
%dir /run/%{name}/
%{_tmpfilesdir}/%{name}.conf

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%files doc
%license COPYING HACKING.README
%doc ChangeLog README NEWS AUTHORS

%changelog
* Thu Jan 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 5.2.0-2
- Rebuild for icu-74.2

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-1
- initial build
